<!DOCTYPE html>
<html lang="fr">
<head>
	<meta name="msapplication-config" content="none"/>
	<meta charset="utf-8" />
	<title><?php bloginfo('name'); ?> <?php wp_title('-'); ?></title>
	<meta name="viewport" content="width=device-width, initial-scale=1" />
	<meta name="robots" content="all" />
	<meta name="revisit-After" content="1 day" />
	
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="apple-touch-icon" sizes="180x180" href="<?php echo esc_url( get_template_directory_uri() ); ?>/img/favicons/apple-touch-icon.png">
	<link rel="icon" type="image/png" sizes="32x32" href="<?php echo esc_url( get_template_directory_uri() ); ?>/img/favicons/favicon-32x32.png">
	<link rel="icon" type="image/png" sizes="16x16" href="<?php echo esc_url( get_template_directory_uri() ); ?>/img/favicons/favicon-16x16.png">
	<link rel="manifest" href="<?php echo esc_url( get_template_directory_uri() ); ?>/img/favicons/site.webmanifest">
	<link rel="mask-icon" href="<?php echo esc_url( get_template_directory_uri() ); ?>/img/favicons/safari-pinned-tab.svg" color="#1f3347">
	<meta name="msapplication-TileColor" content="#ffffff">
	<meta name="theme-color" content="#ffffff">
	
	<!--[if lt IE 9]>
	<script src="//html5shim.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->
	<link rel="author" href="<?php echo esc_url( get_template_directory_uri() ); ?>/humans.txt" />
	
	<?php 
	wp_head(); 
	if ( is_admin_bar_showing() ) : 
	?>
	<style type="text/css">.logged-in .navbar{top:32px;} .logged-in #share{top:89px;} .logged-in #networks{top:0;}</style>
	<?php endif; ?>
	
	<link href="//maxcdn.bootstrapcdn.com/font-awesome/4.1.0/css/font-awesome.min.css" rel="stylesheet">
</head>

<body <?php body_class(); ?> data-spy="scroll" data-target=".menu-menu-home-container" data-offset="50">

  <nav class="navbar navbar-expand-lg fixed-top" id="mainav">
  <div id="networks">
	<i class="ion ion-android-search"></i>
	<i class="ion ion-android-share"></i>
  </div>
    <div class="container">
	  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
        <i class="ion ion-navicon-round"></i>
      </button>
      <div class="collapse navbar-collapse" id="navbarResponsive">
			<?php
			   wp_nav_menu([
				 'menu'            => 'top',
				 'theme_location'  => 'top',
				 'container'       => 'div',
				 'container_id'    => 'bs4navbar',
				 'container_class' => 'collapse navbar-collapse',
				 'menu_id'         => false,
				 'menu_class'      => 'menutop',
				 'depth'           => 2,
				 'fallback_cb'     => 'bs4navwalker::fallback',
				 'walker'          => new bs4navwalker()
			   ]);
			?>
      </div>
    </div>
  </nav>

<?php 
  if ( is_category() ) {
	  $the_cat = get_the_category();
	  $title = $the_cat[0]->cat_name;
	  $link = get_category_link( $the_cat[0]->cat_ID ); 
  } 
  elseif (is_home() || is_front_page() || is_search() || is_404() ) {
	 $title =  get_bloginfo( 'name' );
	 $link = get_site_url();
  }  
  elseif (is_tag() ) {
    $title = single_tag_title("", false);
	global $wp;
	$link = home_url($wp->request);
	  
  } 
  else {
	  $title = get_the_title();
	  $link = get_permalink();
  }
  ?>
  <ul id="share">
	<li>
		<a target="_blank" title="Partager sur Twitter" href="https://twitter.com/intent/tweet?url=<?php echo $link;?>&text=<?php echo $title; ?>">
			<i class="icon ion-social-twitter"></i>
		</a>
	</li>
	<li>
		<a href="http://www.facebook.com/sharer.php?u=<?php echo $link;?>&t=<?php echo $title; ?>" target="blank">
			<i class="icon ion-social-facebook"></i>
		</a>
	</li>
	<li>
		<a title="Partager sur LinkedIn" target="_blank" href="https://www.linkedin.com/shareArticle?mini=true&url=<?php echo $link; ?>&title=<?php echo $title; ?>&summary=&source=<?php get_home_url(); ?>">
			<i class="icon ion-social-linkedin"></i>
		</a>
	</li>
	<li id="wa">
		<a class="wa" href="whatsapp://send?text=<?php echo ($title ." ". the_permalink());?>?utm_source=WhatsApp?utm_medium=Messenger">
			<i class="icon ion-social-whatsapp"></i>
		</a>
	</li>
  </ul>
  
  <div id="searchbar">
	<div id="close"><i class="ion ion-android-close"></i></div>
		<div id="searchtop">
			<div id="searchbar-content">
				<h4>RECHERCHE</h4>
				<form id="searchform" method="get" action="<?php echo esc_url( home_url( '/' ) ); ?>" role="search">
					<input type="text" placeholder="Entrez ici le/s mot/s-clé/s" name="s"  />
					<button type="submit" class="btn" value="OK" title="ok">OK</button>
				</form>
			</div>
		</div>
  </div>